﻿#ifndef WEBRTCPUBLISHER_H
#define WEBRTCPUBLISHER_H

#include "rtc/rtc.hpp"
#include <boost/asio/io_context.hpp>

class WebRTCPublisher {
public:
    WebRTCPublisher(boost::asio::io_context &ioContext);

private:
    boost::asio::io_context &m_ioContext;
    rtc::Configuration m_configuration;
    std::shared_ptr<rtc::PeerConnection> m_peer;
    std::shared_ptr<rtc::DataChannel> m_dataChannel;
};

#endif // WEBRTCPUBLISHER_H
